## closql-el 1.2.0

=== Makefile ===
-include .config.mk

PKG = closql

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = emacsql

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

## closql-el 1.0.4

=== debian/changelog ===
closql-el (1.0.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 28 Aug 2020 00:42:32 +0200

closql-el (1.0.4-1) experimental; urgency=low

  * Initial release (Closes: #966092)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 23 Jul 2020 00:22:28 +0200

=== debian/control ===
Source: closql-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-emacsql-sqlite (>= 3.0.0),
 elpa-pg,
 emacs (>= 47.0)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/emacscollective/closql
Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-closql
Architecture: all
Depends:
 elpa-emacsql-sqlite (>= 3.0.0),
 dh-elpa-helper,
 emacsen-common,
 ${misc:Depends}
Recommends: emacs (>= 47.0)
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: Store EIEIO objects using EmacSQL
 Store uniform EIEIO objects in an EmacSQL database.
 SQLite is used as backend. This library imposes some restrictions
 on what kind of objects can be stored; it isn't intended to store
 arbitrary objects. All objects have to share a common superclass
 and subclasses cannot add any additional instance slots.

=== debian/rules ===
#!/usr/bin/make -f

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/emacsql-sqlite-1.0.0
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/emacsql-3.0.0

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)

## closql-el 1.2.0

=== debian/changelog ===
closql-el (1.2.0-1) unstable; urgency=medium

  * New upstream release
    - d/p/0001-Add_closql-pkg.el_file.patch: version updated
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Oct 2021 23:19:26 +0200

closql-el (1.0.6-3) unstable; urgency=medium

  * debian/control: drop emacs25 from Enhances
  * d/p/0001-Add_closql-pkg.el_file.patch: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 22:02:51 +0200

closql-el (1.0.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 22:03:01 +0200

closql-el (1.0.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)
  * debian/patches/0001-Add_closql-pkg.el_file.patch: field added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Jun 2021 22:13:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  elpa-pg,
  emacs (>= 47.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/emacscollective/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git
@@ -24,7 +24,7 @@
  emacsen-common,
  ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Enhances: emacs, emacs25
+Enhances: emacs
 Built-Using: ${misc:Built-Using}
 Description: Store EIEIO objects using EmacSQL
  Store uniform EIEIO objects in an EmacSQL database.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/closql-el-$1\.tar\.gz/ \
https://github.com/emacscollective/closql/tags .*/v?(\d\S+)\.tar\.gz

## closql-el 1.2.1

=== debian/changelog ===
closql-el (1.2.1-3) unstable; urgency=medium

  * debian/rules: fix wrong target on make rule (Closes: #1026704)
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 06 Jan 2023 11:34:01 +0100

closql-el (1.2.1-2) unstable; urgency=medium

  * d/p/0001-Add_closql-pkg.el_file.patch refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 27 Feb 2022 09:14:13 +0100

closql-el (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: dropping Built-Using field
  * debian/copyright: extend copyright timestamps

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Feb 2022 22:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  elpa-pg,
  emacs (>= 47.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/emacscollective/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git
@@ -25,7 +25,6 @@
  ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Enhances: emacs
-Built-Using: ${misc:Built-Using}
 Description: Store EIEIO objects using EmacSQL
  Store uniform EIEIO objects in an EmacSQL database.
  SQLite is used as backend. This library imposes some restrictions

=== debian/rules ===
#!/usr/bin/make -f

EMACSQL_VER = $(shell dpkg -l elpa-emacsql | awk '/^ii/ { print $$3 }' | cut -f1 -d '-'| cut -f1 -d '+')
EMACSQL-SQLITE_VER = $(shell dpkg -l elpa-emacsql-sqlite | awk '/^ii/ { print $$3 }' | cut -f1 -d '-' | cut -f1 -d '+')

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/emacsql-$(EMACSQL_VER)
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/emacsql-sqlite-$(EMACSQL-SQLITE_VER)

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)

## closql-el 1.2.1+git20231217.1.1b2ee60

=== debian/changelog ===
closql-el (1.2.1+git20231217.1.1b2ee60-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:49:03 +0900

closql-el (1.2.1+git20231217.1.1b2ee60-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:23:33 +0900

closql-el (1.2.1+git20231217.1.1b2ee60-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * d/copyright: update years, add upstream maintainer email.
  * d/control, d/watch: update upstream homepage.
  * Update patch adding pkg.el file (update dependencies and versions).
  * d/control:
    - Bump S-V to 4.6.2 (no changes required).
    - Remove unneeded Build-Depends (we do not byte-compile at build
      time).
    - Update elpa-closql dependencies.
    - Remove redundant version to elpa-closql Recommends.
  * d/rules: do not byte-compile at build time, remove unneeded envvars.
  * d/docs: Replace README.md with README.org.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 01 Jan 2024 21:26:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
- elpa-emacsql-sqlite (>= 3.0.0),
- elpa-pg,
- emacs (>= 47.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/emacscollective/closql
+Standards-Version: 4.6.2
+Homepage: https://github.com/magit/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git
 Testsuite: autopkgtest-pkg-elpa
@@ -19,11 +16,10 @@
 Package: elpa-closql
 Architecture: all
 Depends:
- elpa-emacsql-sqlite (>= 3.0.0),
- dh-elpa-helper,
- emacsen-common,
+ elpa-emacsql-sqlite (>= 3.1.1+git20230220),
+ elpa-compat (>= 29.1.4.2),
  ${misc:Depends}
-Recommends: emacs (>= 47.0)
+Recommends: emacs
 Enhances: emacs
 Description: Store EIEIO objects using EmacSQL
  Store uniform EIEIO objects in an EmacSQL database.

## closql-el 2.0.0

=== debian/changelog ===
closql-el (2.0.0-1) unstable; urgency=medium

  * New upstream release
   - d/p/0001-Add_closql-pkg.el_file.patch: patch refreshed
  * debian/control: S-V 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 28 Sep 2024 15:03:34 +0200

## closql-el 2.1.0

=== debian/changelog ===
closql-el (2.1.0-1) unstable; urgency=medium

  * New upstream release
    - d/p/0001-Add_closql-pkg.el_file.patch: file dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 12:06:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/magit/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git

## closql-el 2.2.1

=== Makefile ===
-include .config.mk

PKG = closql

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat
DEPS += emacsql

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make redo         - re-generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
closql-el (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Let dh-elpa generate the dependencies.
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 10:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-elpa,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/magit/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/closql-el.git
@@ -16,8 +16,7 @@
 Package: elpa-closql
 Architecture: all
 Depends:
- elpa-emacsql-sqlite (>= 3.1.1+git20230220),
- elpa-compat (>= 29.1.4.2),
+ ${elpa:Depends},
  ${misc:Depends}
 Recommends: emacs
 Enhances: emacs

## closql-el 2.3.2

=== Makefile ===
-include .config.mk

PKG = closql

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = compat
DEPS += emacsql

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all        -- Build lisp)
	$(info make lisp       -- Build lisp)
	$(info make redo       -- Build lisp from scratch)
	$(info make clean      -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
closql-el (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 09 Nov 2025 18:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/magit/closql
 Vcs-Browser: https://salsa.debian.org/emacsen-team/closql-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa:
	sed -i -E 's/(;;[[:blank:]]*\()(emacsql) ("[[:digit:].]+"\).*$$)/\1emacsql-sqlite \3/g' closql.el
	dh_elpa
	sed -i -E 's/(;;[[:blank:]]*\()(emacsql-sqlite) ("[[:digit:].]+"\).*$$)/\1emacsql \3/g' closql.el

override_dh_auto_build:

=== debian/watch ===
Version: 5
Template: Github
Owner: magit
Project: closql
